Page MenuHomePhabricator

[PowerPC] Support parsing GNU attributes in MC
ClosedPublic

Authored by qiucf on Dec 15 2021, 11:47 PM.

Details

Summary

According to GNU as documentation, PowerPC supports two kinds of .gnu_attribute tag to represent the vector and float ABI type in the object file. (https://sourceware.org/binutils/docs-2.35/as/GNU-Object-Attributes.html) Some linkers like GNU ld respects the attribute and will prevent objects with conflicting ABIs being linked.

Commit 7aef993 already did the work for generally parse and emit GNU attributes information. This patch is the first step to enable support of the attribute in LLVM PowerPC, enabling it for PowerPC targets, otherwise llvm-mc raises error when seeing the attribute section.

Diff Detail

Event Timeline

qiucf created this revision.Dec 15 2021, 11:47 PM
qiucf requested review of this revision.Dec 15 2021, 11:47 PM
Herald added a project: Restricted Project. · View Herald TranscriptDec 15 2021, 11:47 PM
jsji accepted this revision as: jsji.Jan 21 2022, 11:20 AM

LGTM. Thanks for adding this feature.

This revision is now accepted and ready to land.Jan 21 2022, 11:20 AM
This revision was landed with ongoing or failed builds.Jan 22 2022, 7:34 AM
This revision was automatically updated to reflect the committed changes.